complexType "Fra"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 22 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 12 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, assetClass*, embeddedOptionType[0..2])?, buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, adjustedEffectiveDate?, adjustedTerminationDate?, paymentDate?, fixingDateOffset?, dayCountFraction?, calculationPeriodNumberOfDays?, notional?, fixedRate?, floatingRateIndex?, indexTenor*, fraDiscounting?, additionalPayment*
</...>

Content Model Elements (22):

  additionalPayment (in fra), adjustedEffectiveDate, adjustedTerminationDate, assetClass (defined in Product.model group), buyerAccountReference, buyerPartyReference (defined in BuyerSeller.model group), calculationPeriodNumberOfDays (in fra), dayCountFraction (in fra), embeddedOptionType, fixedRate (in fra), fixingDateOffset, | floatingRateIndex (in fra), fraDiscounting, indexTenor (in fra), notional (in fra), paymentDate (in fra), primaryAssetClass (defined in Product.model group), productId (defined in Product.model group), productType (defined in Product.model group), secondaryAssetClass (defined in Product.model group), sellerAccountReference, sellerPartyReference (defined in BuyerSeller.model group)

All Direct / Indirect Based Elements (1):

  fra

Known Usage Locations

- As direct type of elements (1):
  fra

Annotation
A type defining a Forward Rate Agreement (FRA) product.
Type Definition Detail

Type Derivation Tree Product (extension) Fra

XML Source (w/o annotations (12); see within schema source)

<xsd:complexType name="Fra"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> <xsd:element minOccurs="0" name="adjustedEffectiveDate" type="RequiredIdentifierDate"/> <xsd:element minOccurs="0" name="adjustedTerminationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="paymentDate" type="AdjustableDate"/> <xsd:element minOccurs="0" name="fixingDateOffset" type="RelativeDateOffset"/> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/> <xsd:element minOccurs="0" name="calculationPeriodNumberOfDays" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="notional" type="Money"/> <xsd:element minOccurs="0" name="fixedRate" type="IdentifiedRate"/> <xsd:element minOccurs="0" name="floatingRateIndex" type="FloatingRateIndex"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="indexTenor" type="Period"/> <xsd:element minOccurs="0" name="fraDiscounting" type="FraDiscountingEnum"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="Payment"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 12/22)
additionalPayment

  Type: | Payment, complex content

  Additional payments between the principal parties (i.e. the parties referenced as the FRA buyer and seller).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="Payment"/>

adjustedEffectiveDate

  Type: | RequiredIdentifierDate, simple content

  The start date of the calculation period. This date should already be adjusted for any applicable business day convention. This is also the date when the observed rate is applied, the reset date.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedEffectiveDate" type="RequiredIdentifierDate"/>

adjustedTerminationDate

  Type: | xsd:date, predefined, simple content

  The end date of the calculation period. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedTerminationDate" type="xsd:date"/>

calculationPeriodNumberOfDays

  Type: | xsd:positiveInteger, predefined, simple content

  The number of days from the adjusted effective date to the adjusted termination date calculated in accordance with the applicable day count fraction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodNumberOfDays" type="xsd:positiveInteger"/>

dayCountFraction

  Type: | DayCountFraction, simple content

  The day count fraction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/>

fixedRate

  Type: | IdentifiedRate, simple content

  The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05.
  Simple Content

  xsd:decimal

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedRate" type="IdentifiedRate"/>

fixingDateOffset

  Type: | RelativeDateOffset, complex content

  Specifies the fixing date relative to the reset date in terms of a business days offset and an associated set of financial business centers. Normally these offset calculation rules will be those specified in the ISDA definition for the relevant floating rate index (ISDA's Floating Rate Option). However, non-standard offset calculation rules may apply for a trade if mutually agreed by the principal parties to the transaction. The href attribute on the dateRelativeTo element should reference the id attribute on the adjustedEffectiveDate element.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixingDateOffset" type="RelativeDateOffset"/>

floatingRateIndex

  Type: | FloatingRateIndex, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="floatingRateIndex" type="FloatingRateIndex"/>

fraDiscounting

  Type: | FraDiscountingEnum, simple content

  Specifies whether discounting applies and, if so, what type.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "ISDA" | - | "FRA Discounting" per the ISDA Definitions will apply. See: http://www.FpML.org
  "AFMA" | - | FRA discounting per the Australian Financial Markets Association (AFMA) OTC Financial Product Conventions will apply. Note: Should not be used for a FRA trade documented under a legal framework where the 2006 ISDA Definitions have been incorporated. See: http://www.FpML.org
  "NONE" | - | No discounting will apply. See: http://www.FpML.org
  "ISDAYield" | - | Per ISDA 2006 Definitions, Section 8.4. Discounting, paragraph (e) See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fraDiscounting" type="FraDiscountingEnum"/>

indexTenor

  Type: | Period, complex content

  The ISDA Designated Maturity, i.e. the tenor of the floating rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="indexTenor" type="Period"/>

notional

  Type: | Money, complex content

  The notional amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notional" type="Money"/>

paymentDate

  Type: | AdjustableDate, complex content

  The payment date. This date is subject to adjustment in accordance with any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDate" type="AdjustableDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.